.board{
    position: relative;
    -webkit-touch-callout:none;
    -webkit-user-select:none;
    -khtml-user-select:none;
    -moz-user-select:none;
    -ms-user-select:none;
    user-select:none;
    -webkit-tap-highlight-color:rgba(0,0,0,0);
    h2{
        text-align: center;
        color: @cyan;
        span.editable-click{
            cursor: pointer;
            color: @yellow;
        }
        padding: 0.5em;
        font-family: @main-font;
        font-size: 1.5em;
        line-height: 2em;
        font-weight: bold;
        margin-top: 0;
        .form-inline{
            max-width: 700px;
            margin: auto;
            margin-top: 5px;
            input[type="text"]{
                font-size: 1em;
                line-height: 1em;
                text-align: center;
                width:calc(~"100% - 110px");
                margin-left:50px;
            }
            .editable-buttons{
                margin-top: 0px;
                margin-bottom: -5px;
            }
        }
    }
    .columns{
        padding:0;
        margin:0;
        .flexbox();
        flex-wrap: wrap;
        justify-content: center;
        .column{
            .flex(1);
            vertical-align: top;
            display: inline-block;
            border: 2px dashed rgba(255,255,255,0.5);
            text-align: center;
            padding-bottom: 2em;
            min-width: 150px;
            max-width: 300px;
            margin-right: -3px;
            margin-bottom: -3px;
            position: relative;
            padding-left: 1em;
            padding-right: 1em;
            [as-sortable] {
                height: calc(~"100% - 30px");
            }
            h3{
                text-align: center;
                opacity: 0.8;
                padding: 0.5em 0;
                font-family: @main-font;
                font-size: 1.2em;
                font-weight: bold;
                color: #EEE;
                height: 2em;
                cursor: pointer;
                span{
                    color: #EEE;
                }
                .form-inline{
                    position: absolute;
                    left: 60px;
                    top: 9px;
                    input[type="text"]{
                        font-size: 1.4em;
                        line-height: 1em;
                        text-align: center;
                        width: calc(~"100% - 58px");
                    }
                }
                .count{
                    color: @cyan;
                    position: absolute;
                    left: 18px;
                    &.count-critical{
                        color: @yellow;
                    }
                    &.count-high{
                        color: @red;
                    }
                }
            }
            .items{
                padding:0;
                .item-wrapper{
                    position: relative;
                    .color-picker-wrapper{
                        position: absolute;
                        bottom: 8px;
                        right: -2px; 
                        display: none;
                        width: 52px;
                        height: 30px;
                        .input-group .color-picker-input{
                            height: 1px;
                        }
                    }
                    &:hover{
                        .color-picker-wrapper{
                            display: block;
                        }
                        .color-picker-swatch{
                            display: block;
                            height: 28px;
                            border: 1px dashed @blue;
                        }
                    }
                }
                .item{
                    min-width: 120px;
                    max-width: 300px;
                    min-height: 120px;
                    border: 1px solid #777;
                    margin: 1em 0;
                    padding: 0.5em 1em;
                    box-shadow: 4px 4px 8px rgba(0,0,0,0.5);
                    color: rgba(0,0,0,0.9);
                    transform: rotate(1.1deg);
                    text-align: center;
                    h4{
                        font-family: @main-font;
                        font-size: 1em;
                        font-weight: bold;
                        margin-top: 24px;
                        margin-bottom: 24px;
                        color: @blue;
                        span{
                            color: @blue;
                            border-bottom:none; 
                            letter-spacing: 1px;
                        }
                    }
                    p{
                        margin-top: 1em;
                        margin-bottom: 3em;
                        font-family: @secondary-font;
                        font-size: 0.8em;
                        text-shadow: 0px 0px 0px rgba(0,0,0,0.5);
                        span{
                            color: rgba(0,0,0,0.5);
                            border-bottom: none;
                            width: 100%;
                            display: inline-block;
                            word-wrap: break-word;
                        }
                    }                    
                    .delete{
                        display: none;
                        position: relative;
                        right: -3px;
                        top: 1px;
                        &:hover{
                            color: #E33;
                        }
                    }
                    &:hover{
                        box-shadow: 8px 8px 8px rgba(0,0,0,0.5);
                        .delete{
                            display: block;
                        }
                    }
                    .form-inline{
                        input[type="text"]{
                            width: 100%;
                            font-size: 0.8em;
                            line-height: 1em;
                            text-align: center;
                        }
                        textarea{
                            text-align: center;
                            font-size: 0.95em;
                            margin-bottom: 6px;
                            margin-left: -0.9em;
                            margin-right: -0.9em;
                        }
                        .editable-buttons{
                            width: 100%;
                            text-align: right;
                        }
                    }
                }                
            }
            .new-item{
                margin: 1em;
                background: @cyan;
                color: @black !important;
                &:hover{
                    box-shadow: 4px 4px 8px rgba(0,0,0,0.5);
                    transform: translateX(-2px) translateY(-2px);
                }
            }
        }
    }
    .form-inline{
        color: @black;
        .editable-buttons{
            button{
                margin: 0;
                padding: 0 4px;
                i{
                    font-size: 20px;
                    text-shadow: 2px 2px 2px rgba(0,0,0,0.3);
                    &.fa-check{
                        color: @cyan;
                    }
                    &.fa-times{
                        color: @red;
                    }
                }
                background: transparent;
                border: none;
            }
        }
        .editable-input{
            width: calc(~"100% + 1.8em");
            margin-right: 4px;
            padding: 0px 10px;
        }
        .editable-controls{
            width: 100%;
        }
    }
}
.bg-style{
    text-align: center;
    margin: 1em;
    select{
        color: @black;
    }
}
.protected{
    font-size: 0.8em;
    font-weight: bold;
    position: absolute;
    right: 20px;
    top: 1em;
    display: inline-block;
    text-align: right;
    z-index: 10;
    cursor: pointer;
    h3{
        display: inline-block;
        font-size: 1em;
    }
    p{
        display: none;
        font-family: @secondary-font;
        font-size: 0.6em;
        background: @white;
        padding: 10px;
        color: @black;
        border-radius: 4px;
        box-shadow: 2px 2px 6px @black;
    }
    &:hover p{
        display: block;
    }
}
.add-shared{
    .protected();
    right: auto;
    left: 20px;
    text-align: left;
    &:hover {
        h3, i{
            color: white;
        }
    }
}

.color-picker-panel{
    bottom: 2px !important;
    right: 17px !important;
    width: 150px !important;
    .color-picker-grid{
        display: none !important;
    }
    .color-picker-hue {
        border: 1px dashed #CCC;
        height: 58px !important;
        width: 150px !important;
    }
    .color-picker-overlay {
        height: 54px !important;
    }
    .color-picker-slider{
        height: 52px !important;
        width: 8px !important;
        border-color: #CCC;
        box-shadow: 2px 2px 4px rgba(25,25,25,0.5);
        box-shadow: inset -2px -2px 4px rgba(25,25,25,0.5);
    }
}

@import "sortable.less";